using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _4_30
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            double degree = 45;
            double radian = (Math.PI / 180) * degree;
            double cos = Math.Cos(radian);
            MessageBox.Show(((180 / Math.PI) * cos).ToString());
        }
    }
}
